@font-face {
    font-family: "Roboto Medium";
    src: url('./fonts/Roboto-Medium.woff2') format('woff2');
}

html,
body {
    margin: 0;
    padding: 0;
    height: 100%;
    overflow: hidden;
    color: #eee;
    background: black;
    font-size: 20px;
    font-family: "Roboto Medium", monospace;
    -webkit-text-size-adjust: 100%;
}

canvas {
    margin: 0;
    padding: 0;
    display: block;
    box-sizing: border-box;
}

canvas:focus {
    outline: none;
}

#unity-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #231F20;
}

#unity-canvas-icons {
    position: absolute;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    pointer-events: none;
    user-select: none;
}

#unity-canvas-icons img {
    max-width: 150px;
    max-height: 150px;
}

#unity-loading-bar {
    position: absolute;
    pointer-events: none;
    user-select: none;
}

#unity-progress-title {
    margin: 16px 0 8px;
    width: 300px;
    font-size: 24px;
    font-variant-caps: small-caps;
}

#unity-progress-bar-empty {
    height: 20px;
    border: solid 3px white;
    border-radius: 15px;
}

#unity-progress-bar-full {
    height: 100%;
    width: 0%;
    border-radius: 15px;
    background-color: #3a5999;
}

#unity-progress-percent {
    margin-top: 8px;
    float: right;
}

#unity-warning {
    position: absolute;
    left: 50%;
    top: 5%;
    transform: translate(-50%);
    background: white;
    padding: 10px;
    display: none;
    pointer-events: none;
    user-select: none;
}

#unity-logo {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 180px;
    height: 180px;
    margin: auto;
}

#unity-spinner-logo {
    width: 120px;
    height: 120px;
    transform: translate3d(0, 0, 0);
}

#unity-spinner-outer {
    position: absolute;
    width: 180px;
    height: 180px;
    border: 30px solid #3a5999;
    border-top: 30px solid transparent;
    border-radius: 50%;
    box-sizing: border-box;
    animation: rotate 1.2s linear infinite reverse;
}

#unity-spinner-inner {
    position: absolute;
    width: 144px;
    height: 144px;
    border: 15px solid white;
    border-top: 15px solid transparent;
    border-radius: 50%;
    box-sizing: border-box;
    animation: rotate 1.2s linear infinite;
}

@keyframes rotate {
    from {
        transform: rotate3d(0, 0, 1, 0deg);
    }

    to {
        transform: rotate3d(0, 0, 1, 360deg);
    }
}
